/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* Checkout - errori WooCommerce (forzato) */
.woocommerce-checkout form.checkout .woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout ul.woocommerce-error,
.woocommerce-checkout form.checkout .woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout .woocommerce-error {
  background: #000 !important;
  color: #fff !important;
  border: 0 !important;
  box-shadow: none !important;
}

/* Se il tema mette lo sfondo sul LI */
.woocommerce-checkout form.checkout .woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout ul.woocommerce-error > li {
  background: transparent !important;
  color: #fff !important;
}

/* Link dentro gli errori */
.woocommerce-checkout form.checkout .woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout ul.woocommerce-error a,
.woocommerce-checkout form.checkout .woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout ul.woocommerce-error a * {
  color: #fff !important;
}

/* Override SOLO per intl-tel-input (selettore paese) */
:root {
  /*--iti-flag-sprite-width: initial;*/
}

.iti { display:block; }

.woocommerce-checkout .iti input#billing_phone {
    border-radius: var(--wc-border-radius, 0) !important;
    height: 44px !important;
}

button.iti__selected-country {
  border-color: transparent;
  background-color: transparent;
  box-shadow: none;
}
/* ste 24apr2026 */
label[for="billing_phone"] {
    display: block !important;
    visibility: visible !important;
    opacity: 1 !important;
}
/* Hover / open */
button.iti__selected-country:hover,
button.iti__selected-country[aria-expanded="true"] {
  background-color: #ffe51f !important;
  border-color: transparent !important;
}

/* Focus */
button.iti__selected-country:focus,
button.iti__selected-country:focus-visible {
  outline: none;
  box-shadow: none;
}

/* Override label grigette nel "cambia indirizzo" in fase di checkout */
.woocommerce label[for="calc_shipping_country"],
.woocommerce label[for="calc_shipping_state"],
.woocommerce label[for="calc_shipping_city"],
.woocommerce label[for="calc_shipping_postcode"]
{
  color: #fff !important;
}
/* ste 24apr2026*/
#payment .payment_methods li[class*="payment_method_woocommerce_payments"] label .payment-methods--logos-count {
  display: none;
}

/* il box di descrizione del metodo di pagamento è grigio: forzo il colore del testo */
#payment .payment_box p {
    color: #222222 !important;
}